/* GLOBALS */
html { height: 100%; }

body {
    font-family: 'Lato', Calibri, Arial, sans-serif;
    background: #ddd;
    font-weight: 300;
    font-size: 15px;
    color: #333;
    overflow-y: scroll;
    overflow-x: hidden;
}

a {
    color: #555;
    text-decoration: none;
}

.container {
    width: 100%;
    position: relative;
}

.clr {
    clear: both;
    padding: 0;
    height: 0;
    margin: 0;
}

.main {
    width: 90%;
    margin: 0 auto;
    position: relative;
}

.container > header {
    margin: 10px;
    padding: 20px 10px 10px 10px;
    position: relative;
    display: block;
    text-align: center;
}

.container > header h1 {
    font-size: 30px;
    line-height: 38px;
    margin: 0;
    position: relative;
    font-weight: 300;
    color: #fff;
}

.container > header h2 {
    font-size: 14px;
    font-weight: 300;
    margin: 0;
    padding: 15px 0 5px 0;
    color: #666;
    font-family: Cambria, Georgia, serif;
    font-style: italic;
}

/* Header Style */
.codrops-top {
    line-height: 24px;
    font-size: 11px;
    background: #fff;
    background: rgba(255, 255, 255, 0.8);
    text-transform: uppercase;
    z-index: 9999;
    position: relative;
    font-family: Cambria, Georgia, serif;
    box-shadow: 1px 0px 2px rgba(0,0,0,0.2);
}

/* Clearfix hack by Nicolas Gallagher: http://nicolasgallagher.com/micro-clearfix-hack/ */

.codrops-top:before,
.codrops-top:after {
    content: " "; /* 1 */
    display: table; /* 2 */
}

.codrops-top:after {
    clear: both
}

.codrops-top a {
    padding: 0px 10px;
    letter-spacing: 1px;
    color: #333;
    display: inline-block;
}

.codrops-top a:hover {
    background: rgba(255,255,255,0.6);
}

.codrops-top span.right {
    float: right;
}

.codrops-top span.right a {
    float: left;
    display: block;
}

/* Demo Buttons Style */
.codrops-demos {
    text-align:center;
    display: block;
    line-height: 30px;
    padding: 5px 0px;
}

.codrops-demos a {
    display: inline-block;
    margin: 0px 4px;
    padding: 0px 6px;
    color: #8c8c8c;
    line-height: 20px;
    font-size: 12px;
    font-weight: 700;
    text-shadow: 1px 1px 1px #fff;
    border: 1px solid #fff;
    background: #ffffff;
    background: linear-gradient(top, #ffffff 0%,#f6f6f6 47%,#ededed 100%);
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
}

.codrops-demos a:hover {
    color: #333;
    background: #fff;
}

.codrops-demos a:active {
    background: #fff;
}

.codrops-demos a.current-demo,
.codrops-demos a.current-demo:hover {
    background: #555;
    border-color: #555;
    color: #ddd;
    text-shadow: 0 1px 1px rgba(0,0,0,0.5);
    box-shadow: 0 1px 0 rgba(255,255,255,0.2), inset 0 1px 1px rgba(0,0,0,0.5);
}

.support-note span{
    color: #ac375d;
    font-size: 16px;
    display: none;
    font-weight: bold;
    text-align: center;
    padding: 5px 0;
}

*,
*::after,
*::before {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

.clearfix:after {
    content: "";
    display: table;
    clear: both;
}

.no-pointerevents .form-3 p:nth-child(1):before {
    display: none;
}

.loginForm {
    /* Size and position */
    width: 300px;
    margin: 60px auto 30px;
    padding: 10px;
    position: relative;

    /* Font styles */
    font-family: 'Raleway', 'Lato', Arial, sans-serif;
}

.loginForm h1 {
    font-size: 22px;
    padding-bottom: 20px;
}

.loginForm input[type=text],
.loginForm input[type=password] {
    /* Size and position */
    width: 100%;
    padding: 8px 4px 8px 10px;
    margin-bottom: 15px;

    /* Styles */
    border: 1px solid #4e3043; /* Fallback */
    border: 1px solid rgba(78,48,67, 0.8);
    background: rgba(0,0,0,0.15);
    border-radius: 2px;
    box-shadow:
    0 1px 0 rgba(255,255,255,0.2),
    inset 0 1px 1px rgba(0,0,0,0.1);
    transition: all 0.3s ease-out;

    /* Font styles */
    font-family: 'Raleway', 'Lato', Arial, sans-serif;
    color: #fff;
    font-size: 13px;
}

.legal ul {
    margin: 20px 0;
    list-style: none;
    padding: 0;
    display: flex;
    justify-content: center;
    gap: 0;
}

.legal ul li {
    display: inline-block;
    padding: 0 15px;
    border-left: 1px solid #555;
}

.legal ul li:first-child {
    border-left: none;
}

/* Placeholder style (from http://stackoverflow.com/questions/2610497/change-an-inputs-html5-placeholder-color-with-css) */

.loginForm input[type=text]:hover,
.loginForm input[type=password]:hover {
    border-color: #333;
}

.loginForm input[type=text]:focus,
.loginForm input[type=password]:focus,
.loginForm input[type=submit]:focus {
    box-shadow:
    0 1px 0 rgba(255,255,255,0.2),
    inset 0 1px 1px rgba(0,0,0,0.1),
    0 0 0 3px rgba(255,255,255,0.15);
    outline: none;
}

/* Fallback */
.no-boxshadow .loginForm input[type=text]:focus,
.no-boxshadow .loginForm input[type=password]:focus {
    outline: 1px solid white;
}

.loginForm input[type=submit] {
    /* Size and position */
    width: 100%;
    padding: 8px 5px;

    /* Styles */
    background: #634056;
    background: linear-gradient(rgba(0, 80, 149,0.5), rgba(0, 80, 149,0.7));
    border-radius: 5px;
    border: 1px solid #4e3043;
    box-shadow: inset 0 1px rgba(255,255,255,0.4), 0 2px 1px rgba(0,0,0,0.1);
    cursor: pointer;
    transition: all 0.3s ease-out;

    /* Font styles */
    color: white;
    font-size: 16px;
    font-weight: bold;
    font-family: 'Raleway', 'Lato', Arial, sans-serif;
}

.loginForm input[type=submit]:hover {
    box-shadow:
    inset 0 1px rgba(255,255,255,0.2),
    inset 0 20px 30px rgba(99,64,86,0.5);
}

/* Fallback */
.no-boxshadow .loginForm input[type=submit]:hover {
    background: #594642;
}

.loginForm label {
    padding: 0 0 5px 2px;
    cursor: pointer;
}

.loginForm label:hover ~ input {
    border-color: #333;
}

.no-placeholder .loginForm label {
    display: block;
}
